/************************************************************************
*                                                                                                                                        
*    Test du module Pmod 2 boutons capacitifs                                           
*                                                                    
*************************************************************************
* Description:  Pmod_CDC1                                                
* L'état du bouton est affiché dans le moniteur série.
*  
* Matériel
*        1. Arduino Uno                                       
*        2. Module Pmod CDC1
*        
************************************************************************/

// Affectation des broches
#define BTN_1 2
#define BTN_2 3

void setup()
{
  Serial.begin(9600);                 // initialisation du moniteur série
  pinMode(BTN_1,INPUT);               // configuration des broches 2 en entrée
  pinMode(BTN_2,INPUT);               // configuration des broches 3 en entrée
}

void loop()
{
  if(digitalRead(BTN_1)==true)         // lecture de l'état du bouton 1
  {
    Serial.println("Bouton 1 actif");
  }
  if(digitalRead(BTN_2)==true)         // lecture de l'état du bouton 2
  {
    Serial.println("Bouton 2 actif");
  }
  delay(100);
}


